%global OpenStackVersion victoria
Summary: OpenStack from the CentOS Cloud SIG repo configs
Name: centos-release-openstack-%{OpenStackVersion}
Version: 1
Release: 2%{?dist}
License: GPL
URL: http://wiki.centos.org/SpecialInterestGroup/Cloud
Source0: CentOS-OpenStack.repo
Source1: RPM-GPG-KEY-CentOS-SIG-Cloud

BuildArch: noarch

Requires: centos-release
Requires: centos-release-advanced-virtualization
Requires: centos-release-rabbitmq-38
Requires: centos-release-ceph-nautilus
Requires: centos-release-nfv-openvswitch
Requires: /etc/os-release
Conflicts: centos-release-openstack

%description
yum Configs and basic docs for OpenStack as delivered via the CentOS Cloud SIG.

%prep

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OpenStack-%{OpenStackVersion}.repo
sed -i -e "s/OPENSTACK_VERSION/%{OpenStackVersion}/g" %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OpenStack-%{OpenStackVersion}.repo
install -p -d %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/rpm-gpg

%post
if [ -f /etc/os-release ]; then
    source /etc/os-release
fi
if [[ $ID == 'centos' && $NAME == *'Stream' ]] || [ $ID != 'centos' ]; then
    echo "8-stream" > /etc/dnf/vars/cloudsigdist
else
    echo "8" > /etc/dnf/vars/cloudsigdist
fi

%postun
if [ $1 -eq 0 ] ; then
    rm -f /etc/dnf/vars/cloudsigdist
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*
%{_sysconfdir}/pki/rpm-gpg

%changelog
* Mon Mar 08 2021 Alfredo Moralejo <amoralej@redhat.com> - %{OpenStackVersion}-1-2
- Add support for CentOS Stream 8 repos.

* Tue Nov 3 2020 Yatin Karel <ykarel@redhat.com> - %{OpenStackVersion}-1-1
- Victoria Release
